# Software releases and changelogs of 8148 layer 1 devices
## Matrix
### Release
1.1.15

### Application
matrix_8148mc

### Changelog
2024/9/4
1. matrix-8148mc-1.1.15.tar
2. Version number: 1.1.15
3. Based on 1.1.14, 2 bugs were fixed urgently:
   a. When deleting the snmp configuration, there is an error somewhere which may lead to dereferencing null pointer;
   b. There is no prompt when upgrading software when log in as admin user.

2024/9/2
1. matrix-8148mc-1.1.14.tar
2. Version number: 1.1.14
3. a. Update cpld and fpga firmware to the latest version
   b. Modify the SNMP interface, synchronize 8048 device modifications, and support work traversal
   c. Add snmp configuration deletion interface
   d. Add manual time calibration function
   e. Add pipe character filtering function for show command
   f. Modify the display of show system log command
   g. Modify the permission attributes of the configuration file after saving the configuration

2024/8/8
1. matrix-8148mc-1.1.13.tar
2. Version number: 1.1.13 (based on the problem of modifying the test of version 1.1.12, svn:1412)
3. a. Modify the bug of the revert command of version 1.1.12
   b. Modify the agentx command of snmp, extract the snmp thread from the platform framework, and run it as an independent thread

2024/7/30
1. matrix-8148mc-1.1.12.tar
2. Version number: 1.1.12
3. a. Add the function of restoring the initial configuration file
   b. Synchronize the modification of 8048 about the admin account password permission

2024/7/15
1. matrix-8148mc-1.1.11.tar
2. Version number: 1.1.11
3. a. Add syslog function;
   b. Enable on-the-fly update of boot.img;
   c. Enable md5 verificating and displaying;
   d. Modify CPU temperature display, modify fan information display
   e. Remove the default IP address of the management port

2024/7/15
1. matrix-8148mc-1.1.9.tar
2. Version number: 1.1.9
3. Modify the problem that the upgrade from 1.1.7 to 1.1.8 prompts that it is not supported

2024/7/11
1. matrix-8148mc-1.1.8.tar
2. Version number: 1.1.8
3. Only optimize the writing of the management port mac address, determine whether the management port name is eth0 or ma1, and prevent the failure to write mac when the interface name is not changed to ma1

2024/7/8
1. matrix-8148mc-1.1.7.tar
2. Version number: 1.1.7
3. Added error prompt function for major version upgrade and rollback
4. Notes:
A) After using this version, if you need to upgrade or rollback a major version, the normal upgrade command does not support it. You need to use the root account and use the force command in the config view to operate.
And the upgrade confirmation prompt is not yes. If it is a major version upgrade, the prompt is tsnUpgrade@number. If it is a major version downgrade, the prompt is tsnRollback@number, where number = (X1*1000+Y1) - (X2*1000+Y2), (X1,Y1) is the larger value of the version to be upgraded and the current upgrade, (X2,Y2) is the smaller value of the version to be upgraded and the current upgrade. Example: If the current version is matrix-8148mc-1.1.6.tar and the version to be upgraded is matrix-8148mc-1.0.6.tar, the confirmation code to be entered is tsnRollback@1; if the current version is matrix-8148mc-1.0.6.tar and the version to be upgraded is matrix-8148mc-2.2.6.tar, the confirmation code to be entered is tsnUpgrade@1002

2024/7/5
1. matrix-8148mc-1.1.5.tar matrix-8148mc-1.1.6.tar
2. Version number: 1.1.46
3. Added cpld firmware upgrade function; Optimized cpld configuration pin control
4. Notes:
A) matrix-8148mc-1.1.5.tar is an auxiliary test version, used with matrix-8148mc-1.1.6.tar for firmware upgrade testing
B) The matrix-8148mc-1.1.7.tar version will be released later. Version rollback will no longer be supported after this version, or other means will be added to support rollback

2024/7/2
1. matrix-8148mc-1.1.4.tar
2. Version number: 1.1.4
3. Added show diff function; Optimized the display of port packet reception, and did not display the packet reception statistics when it was not sourced by other ports; Solved the problem of snmp configuration not being saved

2024/06/27
1. matrix-8148mc-1.1.3.tar
2. Version number: 1.1.3
3. Modify the value of the vtysh.conf file again.
4. Notes:
A It is recommended to test with the latest cpld version. The cpld version currently needs to be manually upgraded
B To repair the management network port, you need to check whether the system's built-in /etc/netplan/01-netcfg.yam file has removed the eth0 configuration. If not, the repair will not take effect

2024/06/27
1. matrix-8148mc-1.1.2.tar
2. Version number: 1.1.2
3. Optimize temperature speed control; add cpld and cdr initialization and reset operations; add vtysh.conf file check and copy operations; add management port ip repair operations.
4. Notes:
A It is recommended to test with the latest cpld version. The cpld version currently needs to be manually upgraded
B To repair the management network port, you need to check whether the system's built-in /etc/netplan/01-netcfg.yam file has removed the eth0 configuration. If not, the repair will not take effect

2024/06/03
1. matrix-8148mc-1.0.9.tar
2. Version number: 1.0.9
3. Delete the default management port mac address configuration to avoid flushing the factory-configured mac

2024/05/29
1. matrix-8148mc-1.0.8.tar
2. Version number: 1.0.8
3. Add show ssh display to solve the show user display problem

2024/05/23
1. matrix-8148mc-1.0.7.tar
2. Version number: 1.0.7
3. Solve ssh problem

2024/05/23
1. matrix-8148mc-1.0.6.tar
2. Version number: 1.0.6
3. Solve ntp problem

2024/05/23
1. matrix-8148mc-1.0.5.tar
2. Version number: 1.0.5
3. Optimize ntp display related

2024/05/18
1. matrix-8148mc-1.0.4.tar
2. Version number: 1.0.4
3. Optimize fuzzy display and solve the problem of aaa restart configuration loss

2024/05/18
1. matrix-8148mc-1.0.3.tar
2. Version number: 1.0.3
3. Optimize the method of obtaining the version date of logic devices; optimize the display of show dev and show system ver

2024/05/17
1. matrix-8148mc-1.0.2.tar
2. Version number: 1.0.2
3. Modify the display of show dev info and modify the display of the interface tx

2024/05/17
1. matrix-8148mc-1.0.1.tar
2. Version number: 1.0.1
3. Support no username to delete users

2024/05/17
matrix-8148mc-1.0.0.tar
1. The package is replaced with matrix-8148mc-1.0.0.tar
2. Version number: 1.0.0
3. Add ssnp code, user management, display merging and other contents

2024/05/16
1. release sdk first version v1.0.3
2. Version number: 1.0.3
3. Add ssnp code

2024/05/16
1. Release sdk first verison v1.0.2
2. Version number: 1.0.2
3. Add user management function, modify the problem of port not up, add aaa command, etc.

2024/05/15
1. Release sdk first verison v1.0.1
2. Version number: 1.0.1
3. Modify the flashing logic of the mensakaguchi light, and the packet sending and receiving rate sometimes flashes

2024/05/15
1. Release sdk first verison v1.0.0
2. Version number: 1.0.0
3. Initial release.
